* {
  font-family: Lato, Arial, Helvetica, sans-serif;
  font-weight: 400;
}

.container {
  max-width: 1450px;
}

@font-face {
  font-family: "DMSans";
  src: url("../ressources/font/DM_Sans/DMSans-Regular.ttf");
}
@font-face {
  font-family: "DMSansBold";
  src: url("../ressources/font/DM_Sans/DMSans-Bold.ttf");
}
@font-face {
  font-family: "Roboto";
  src: url("../ressources/font/Roboto/Roboto-Regular.ttf");
}
@font-face {
  font-family: "Lato";
  src: url("../ressources/font/Lato/Lato-Regular.ttf");
}
.recipeCard {
  margin: 1rem;
  display: none;
  position: relative;
}
.recipeCard__img {
  height: 180px;
  background: #C7BEBE;
}
.recipeCard__body {
  padding: 1rem 1.4rem;
  box-sizing: border-box;
  display: grid;
  grid-template: auto auto/auto auto;
  height: 200px;
}
.recipeCard__body__title {
  font-size: 1.2em;
  font-weight: 400;
  grid-area: 1/1/2/3;
  max-width: 70%;
}
.recipeCard__body__time {
  font-size: 1.1em;
  text-align: end;
  font-weight: 700;
  grid-area: 1/2/2/3;
}
.recipeCard__body__list {
  list-style: none;
  padding: 0;
  margin: 0;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: normal;
}
.recipeCard__body__list li {
  font-size: 0.9em;
  font-weight: 700;
}
.recipeCard__body__description {
  text-align: justify;
  font-family: Roboto, Arial, Helvetica, sans-serif;
  font-weight: 400;
  font-size: 0.9em;
  margin-left: 1rem;
  overflow: hidden;
}

.show {
  display: block;
}

.drop {
  display: inline-block;
  margin-right: 12px;
  position: relative;
  z-index: 100;
}
.drop__menu {
  display: none;
  z-index: 100;
  color: #fff;
  border-radius: 4px;
}
.drop__menu__search {
  border: none;
  grid-area: 1/1/2/2;
  color: #fff;
  padding: 0 20px 15px 0;
}
.drop__menu__tags {
  grid-area: 2/1/3/2;
  display: grid;
  grid-template: auto/repeat(3, auto);
}
.drop--blue {
  background-color: #3282F7;
}
.drop--blue .drop__menu {
  background-color: #3282F7;
}
.drop--blue .drop__menu__search {
  background-color: #3282F7;
}
.drop--blue:hover {
  background-color: #1973f6;
}
.drop--blue:hover .drop__menu, .drop--blue:hover .drop__menu__search {
  background-color: #1973f6;
}
.drop--green {
  background-color: #68D9A4;
}
.drop--green .drop__menu {
  background-color: #68D9A4;
}
.drop--green .drop__menu__search {
  background-color: #68D9A4;
}
.drop--green:hover {
  background-color: #54d498;
}
.drop--green:hover .drop__menu, .drop--green:hover .drop__menu__search {
  background-color: #54d498;
}
.drop--red {
  background-color: #ED6454;
}
.drop--red .drop__menu {
  background-color: #ED6454;
}
.drop--red .drop__menu__search {
  background-color: #ED6454;
}
.drop--red:hover {
  background-color: #eb4f3d;
}
.drop--red:hover .drop__menu, .drop--red:hover .drop__menu__search {
  background-color: #eb4f3d;
}
.drop__btn {
  cursor: pointer;
  border: none;
  border-radius: 4px;
  padding: 8px 12px;
  color: #fff;
  font-size: 1.1rem;
}
.drop__btn__icon {
  font-size: 1rem;
}
.drop__btn__icon--up {
  font-size: 1rem;
  position: absolute;
  top: 10px;
  right: 10px;
  border-radius: 50%;
  padding: 4px 5px;
}

.btn {
  color: white;
}
.btn--blue {
  background-color: #3282F7;
}
.btn--blue:hover {
  background-color: #1973f6;
}
.btn--green {
  background-color: #68D9A4;
}
.btn--green:hover {
  background-color: #54d498;
}
.btn--red {
  background-color: #ED6454;
}
.btn--red:hover {
  background-color: #eb4f3d;
}

.drop-show {
  display: grid;
  grid-template: repeat(2, auto)/auto;
}

.drop-hide {
  display: none;
}

.hide-tag {
  display: none;
}

.show-tag {
  display: block;
}

.ingredient-tag:hover {
  background-color: #4b91f8;
}

.appliance-tag:hover {
  background-color: #7cdeb0;
}

.utensil-tag:hover {
  background-color: #ef796b;
}

.close-icon {
  margin-left: 8px;
}

* {
  box-sizing: border-box;
}

.banner-title {
  color: #d04f4f;
  font-family: DMSansBold, Arial, Helvetica, sans-serif;
  text-align: center;
  font-size: 36px;
  padding: 0;
  margin: 0;
}

@media (min-width: 768px) {
  .recipesGallery {
    display: grid;
    grid-template: repeat(50, auto)/repeat(2, auto);
  }
}
@media (min-width: 1200px) {
  .recipesGallery {
    display: grid;
    grid-template: repeat(50, auto)/repeat(3, auto);
  }
}

nav {
  margin: 0 1rem;
  position: relative;
  height: 150px;
}

.error-msg {
  display: none;
  margin-top: 50px;
}

.show-error {
  display: block;
}

/*# sourceMappingURL=style.css.map */
